#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>


#define MAX_NO_CHAR  (512 * 1024)

int main(int argc, char * argv[] )
{

  char line[MAX_NO_CHAR] = {0};
  FILE *source, *train, * test;
 
  if (argc != 4) {
    fprintf(stderr, "* Error : usage\n    split  features.in.ft  train.out.ft  test.out.ft \n");
  }
  
  
  if ((source = fopen(argv[1],"r")) == NULL) {
    fprintf(stderr, "* Error : can't open features file \"%s\" for reading.\n", argv[1]);
    return 0;
  }
  
  if ((train = fopen(argv[2],"w")) == NULL) {
    fprintf(stderr, "* Error : can't open training file \"%s\" for writing.\n", argv[2]);
    return 0;
  }
  
  if ((test  = fopen(argv[3],"w")) == NULL) {
    fprintf(stderr, "* Error : can't open testing file \"%s\" for writing.\n", argv[3]);
    return 0;
  }
  
  
  srand(time(NULL));
  
  while (fgets(line , MAX_NO_CHAR, source)) {
    if (rand() % 2 == 0) {
      fputs(line, test);
    } else {
      fputs(line, train);
    }
  }

  fclose(source);
  fclose(train); 
  fclose(test);	

  return 0;
}
 
